/* $Id: BoundingBox.hh,v 1.6 2004/07/21 06:31:20 pklaus Exp $
 *
 * BoundingBox.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#include "gestalter.h"
#include "TransformationMatrix.hh"
#include "RectangleArea.hh"
#include <glib--.h>

#ifndef _BOUNDINGBOX_HH
#  define _BOUNDINGBOX_HH

class BoundingBox : public RectangleArea {

public:
	BoundingBox();
	BoundingBox(const BoundingBox& ob);
	void combine(const RectangleArea& box);
	void include(position point);
};

#endif
