/* $Id: DimensionDialog.hh,v 1.4 2004/03/24 19:31:43 pklaus Exp $
 *
 * DimensionDialog.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



// generated 2002/1/12 16:11:18 CET by pklaus@iron.
// using glademm V0.6.2b
//
// newer (non customized) versions of this file go to DimensionDialog.hh_new

// you might replace
//    class foo : public foo_glade { ... };
// by
//    typedef foo_glade foo;
// if you didn't make any modifications to the widget

#ifndef _DIMENSIONDIALOG_HH
#  include "DimensionDialog_glade.hh"
#  define _DIMENSIONDIALOG_HH
#include "glademm_support.hh"

class GDApplication;

class DimensionDialog : public DimensionDialog_glade { 

private:
	GDApplication *app;

        friend class DimensionDialog_glade;
public:
	DimensionDialog(GDApplication *application) { app = application; };
	Gtk::Button *getOKButton() { return okButton; };
	Gtk::Button *getCancelButton() { return cancelButton; };


	gdouble getWidth();
	gdouble getHeight();
	
};
#endif
