/* $Id: PropertiesSpinButton.hh,v 1.1 2003/03/03 13:12:23 pklaus Exp $
 *
 * PropertiesSpinButton.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#ifndef _PROPERTIESSPINBUTTON_HH
#  define _PROPERTIESSPINBUTTON_HH

#include <gtk--.h>


class PropertiesSpinButton : public Gtk::SpinButton {

protected:
	virtual gint focus_out_event_impl(GdkEventFocus *evt);

public:
	PropertiesSpinButton(Gtk::Adjustment &adjustment, gfloat climb_rate=0, gint digits=0);
	
	~PropertiesSpinButton();

};


#endif
