// generated 2004/3/9 9:07:20 CET by pklaus@atlanta.(none)
// using glademm V0.6.2b
//
// newer (non customized) versions of this file go to EditPatternDialog.cc_new

// This file is for your program, I won't touch it again!

#include "config.h"
#include "EditPatternDialog.hh"
#include "Pattern.hh"
#include "ClipGroup.hh"
#include <gtk--.h>

EditPatternDialog::EditPatternDialog(Pattern *pattern) {
	inEdit = pattern;
	nameEntry->set_text(pattern->getName());
	guint w = previewArea->width();
	guint h = previewArea->height();
	osBuffer.scaleFactor = (gdouble) w / inEdit->width < (gdouble) h / inEdit->height ? (gdouble) w / inEdit->width : (gdouble) h / inEdit->height;
	w = (guint) (osBuffer.scaleFactor * inEdit->width);
	h = (guint) (osBuffer.scaleFactor * inEdit->height);
	osBuffer.allocBuffer(w * 3, w, h);
	osBuffer.whiteBackground();
	osBuffer.origin.x = 0;
	osBuffer.origin.y = 0;
	BoundingBox bbox = inEdit->content->getBoundingBox();
	inEdit->content->draw(osBuffer, bbox);
	//g_printerr("EditPatternDialog::EditPatternDialog w=%d, h=%d, patw=%f, path=%f, sfac=%f name=%s\n", w, h, inEdit->width, inEdit->height, osBuffer.scaleFactor, inEdit->getName().c_str());
}

void EditPatternDialog::onNameChange() {
	inEdit->setName(nameEntry->get_text());
}

void EditPatternDialog::onResize(GtkAllocation *all) {
}

gint EditPatternDialog::onButtonPress(GdkEventButton *ev) {
	return 0;
}

gint EditPatternDialog::onMotion(GdkEventMotion *ev) {
	return 0;
}

gint EditPatternDialog::onButtonRelease(GdkEventButton *ev) {
	return 0;
}

gint EditPatternDialog::onExpose(GdkEventExpose *ev) {
	if (osBuffer.pixbuffer) {
		guint width = osBuffer.pxbWidth;
		guint height = osBuffer.pxbHeight;
		guint aw = previewArea->width();
		guint ah = previewArea->height();
		gint x = (aw - width) / 2;
		gint y = (ah - height) / 2;
		guchar *pixbuf = osBuffer.pixbuffer;
		gdk_draw_rgb_image (previewArea->get_window(), 
						previewArea->get_style()->get_white_gc(), 
						x, y, width, height, GDK_RGB_DITHER_NONE, pixbuf,
						osBuffer.pxbRowstride);
	}
	return 0;
}
