/* $Id: ListOrgDialog.hh,v 1.1 2004/02/12 08:17:08 pklaus Exp $
 *
 * ListOrgDialog.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002-2004 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#ifndef _LISTORGDIALOG_HH
#  include "ListOrgDialog_glade.hh"
#  define _LISTORGDIALOG_HH
#include "glademm_support.hh"

class GDApplication;
class GDDocument;

class ListOrgDialog : public ListOrgDialog_glade {
        
	friend class ListOrgDialog_glade;

public:
	GDApplication *application;
	GDDocument *doc;
	
	ListOrgDialog(GDApplication *app);
	virtual void onClickColumn(gint column);
	virtual void onSelectRow(gint row, gint column, GdkEvent *event);
	virtual void onResize(GtkAllocation *all);
	virtual gint hideWindow(GdkEventAny *ev);
	virtual void setDocument(GDDocument *document);
	virtual void newClicked();
	virtual void deleteClicked();
	virtual void editClicked();
	virtual void closeDialog();
};
#endif
