/* $Id: ListSelectionDialog.hh,v 1.1 2004/02/12 08:17:08 pklaus Exp $
 *
 * ListSelectionDialog.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002-2004 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef _LISTSELECTIONDIALOG_HH
#  include "ListSelectionDialog_glade.hh"
#  define _LISTSELECTIONDIALOG_HH
#include "glademm_support.hh"

class ListSelectionDialog : public ListSelectionDialog_glade {
	
	friend class ListSelectionDialog_glade;
public:
	virtual void onClickColumn(gint column);
	virtual void onSelectRow(gint row, gint column, GdkEvent *event);
	virtual void onResize(GtkAllocation *all);
	Gtk::Button *getOKButton() { return okButton; };
	Gtk::Button *getCancelButton() { return cancelButton; };
};
#endif
