/* $Id: MorphDialog.cc,v 1.1 2005/05/07 17:39:33 pklaus Exp $
 *
 * MorphDialog.cc
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#include "config.h"
#include "MorphDialog.hh"


Gtk::Button *MorphDialog::getOKButton() {
	return okButton;
}

Gtk::Button *MorphDialog::getCancelButton() {
	return cancelButton;
}

int MorphDialog::getStepCount() {
	return stepsSpinButton->get_value_as_int();
}

float MorphDialog::getFirstStep() {
	return firstPercentSpinButton->get_value_as_float();
}
