/* $Id: PThreadMutex.hh,v 1.3 2004/03/29 16:06:50 pklaus Exp $
 *
 * PThreadMutex.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#ifndef _PTHREADMUTEX_HH
#  define _PTHREADMUTEX_HH

#include <pthread.h>

class PThreadMutex {

protected:
	pthread_mutex_t		pmutex;
	
public:
	PThreadMutex(pthread_mutexattr_t* attr);
	PThreadMutex();
	
	int lock();
	int trylock();
	int unlock();

	pthread_mutex_t *getMutex() { return &pmutex; };
	
	~PThreadMutex();

};

#endif
