// generated 2003/10/28 19:38:36 CET by pklaus@atlanta.(none)
// using glademm V0.6.2b
//
// newer (non customized) versions of this file go to PreferencesDialog.cc_new

// This file is for your program, I won't touch it again!

#include "config.h"
#include "Preferences.hh"
#include "PreferencesDialog.hh"
#include <gtk--/menuitem.h>
#include <gtk--/menu.h>
#include <math.h>

PreferencesDialog::PreferencesDialog(Preferences *from) {
	// catchingRange
	catchRangeSpinbutton->set_value(from->catchingRange);
	// textCursorBlinkTime
	cursorBlinkTimeSpinbutton->set_value(from->textCursorBlinkTime);
	// undoStackSize
	undoLevelSpinbutton->set_value(from->undoStackSize);
	// pageFormat
	defaultPageSizeCombo->get_entry()->set_text(from->pageFormat);
	
	vector<string>::iterator it = from->fontDir.begin();
	for (; it != from->fontDir.end(); it++) {
		Gtk::Entry *fde = addFontDirEntry(false);
		fde->set_text(*it);
	}
	addFontDirEntry();
	
	int selected = 0;
	int i = 0;
	Gtk::Menu *uMenu = unitMenu->get_menu();
	for (vector<string>::iterator it = from->units.begin(); it != from->units.end(); it++, i++) {
		//g_printerr("PreferencesDialog::PreferencesDialog inserting unit %s (%d) -> %f\n", (*it).first.c_str(), i, (*it).second);
		Gtk::MenuItem *unitItem = manage(new Gtk::MenuItem(*it));
		unitItem->set_user_data((gpointer) i);
		uMenu->append(*unitItem);
		unitItem->show();
		if (fabs(from->rulerUnitFactor - from->factors[i]) < 0.000001) {
			selected = i;
		}
	}
	unitMenu->set_menu(uMenu);
	//g_printerr("PreferencesDialog::PreferencesDialog selected=%d\n", selected);
	unitMenu->set_history(selected);
}

void PreferencesDialog::onLastFontDirEntryChanged() {
	addFontDirEntry();
}

Gtk::Entry *PreferencesDialog::addFontDirEntry(gboolean connectSignal) {
	Gtk::Entry *fde = manage(new class Gtk::Entry());
	fde->set_name("fontDirectoryEntry");
	fde->set_editable(true);
	fde->show();
	fontDirectoryVBox->pack_start(*fde);
	fontDirEntries.insert(fontDirEntries.end(), fde);
	if (connectSignal) {
		if (fontDirChangedConnection.connected()) {
			fontDirChangedConnection.disconnect();
		}
		fontDirChangedConnection = fde->changed.connect(SigC::slot(static_cast<class PreferencesDialog*>(this), &PreferencesDialog::onLastFontDirEntryChanged));
	}
	return fde;
}


void PreferencesDialog::setPreferencesFromDialog(Preferences *prefs) {
	prefs->catchingRange = catchRangeSpinbutton->get_value_as_int();
	prefs->textCursorBlinkTime = cursorBlinkTimeSpinbutton->get_value_as_int();
	prefs->undoStackSize = undoLevelSpinbutton->get_value_as_int();
	prefs->pageFormat = defaultPageSizeCombo->get_entry()->get_text();
	prefs->setPageSizeFromFormat();
	prefs->fontDir.clear();
	for (vector<Gtk::Entry *>::iterator it = fontDirEntries.begin(); it != fontDirEntries.end(); it++) {
		string val = (*it)->get_text();
		if (val.size()) {
			prefs->fontDir.insert(prefs->fontDir.end(), val);
		}
	}
	prefs->rulerUnitFactor = prefs->factors[(int) unitMenu->get_menu()->get_active()->get_user_data()];
}

PreferencesDialog::~PreferencesDialog() {
}
