/* $Id: TransformAction.cc,v 1.1 2003/08/30 15:07:44 pklaus Exp $
 *
 * TransformAction.cc
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "TransformAction.hh"

TransformAction::TransformAction(TransformationMatrix& matrix) {
	action = "Transform";
	doCopy = false;
	tMatrix = matrix;
}

TransformAction::TransformAction(TransformationMatrix& matrix, gboolean copy) {
	action = "TransformCopy";
	doCopy = copy;
	tMatrix = matrix;
}
